{
  "name": "sae-front",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build",
    "test": "vitest"
  },
  "dependencies": {
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.1",
    "@floating-ui/react": "^0.27.16",
    "@mui/material": "^7.3.6",
    "bootstrap": "^5.3.8",
    "chart.js": "^4.5.1",
    "react": "^19.1.1",
    "react-bootstrap": "^2.10.10",
    "react-chartjs-2": "^5.3.1",
    "react-dom": "^19.1.1",
    "react-router": "^7.9.4",
    "react-router-dom": "^7.10.1"
  },
  "devDependencies": {
    "@chromatic-com/storybook": "^4.1.2",
    "@eslint/js": "^9.36.0",
    "@storybook/addon-a11y": "^10.0.6",
    "@storybook/addon-docs": "^10.0.6",
    "@storybook/addon-vitest": "^10.0.6",
    "@storybook/react-vite": "^10.0.6",
    "@types/react": "^19.1.16",
    "@types/react-dom": "^19.1.9",
    "@vitejs/plugin-react": "^5.0.4",
    "@vitest/browser-playwright": "^4.0.8",
    "@vitest/coverage-v8": "^4.0.8",
    "baseline-browser-mapping": "^2.9.7",
    "eslint": "^9.36.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.22",
    "eslint-plugin-storybook": "^10.0.6",
    "globals": "^16.4.0",
    "playwright": "^1.56.1",
    "prop-types": "^15.8.1",
    "storybook": "^10.0.6",
    "vite": "^7.1.7",
    "vitest": "^4.0.8"
  }
}
